QGIS Application - Bug report #20932
Crash when running snap geometries to layer on large data set
2019-01-07 02:45 PM - Andy Whyte

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corruptsdata: Copied to github as #: 28751
Description

| have a point layer with 2,365,043 features that | am trying to run the Snap geometries to layer algorithm on. Every time | run it QGIS
crashes. | understand this is a very large file to work on but it should not crash QGIS.

The input and reference layer are the same and | am using a tolerance of 1 meter with the Prefer aligning nodes, don't insert new vertices
option.

| have attached a Project file and here is a Dropbox link to the data -
https://www.dropbox.com/sh/f7jeawyjgszwttu/AAAHNguxoB1XORHsB5J5 tKHa?dI=0

Crash ID: 635c0b4de2060f48928b3f2f254160d072d28d58

Stack Trace

Spatiallndex::MVRTree::Data::storeToByteArray :
gsort :
Spatiallndex::MVRTree::Data::storeToByteArray :
Spatiallndex::MVRTree::Data::storeToByteArray :
Spatiallndex::MVRTree::Data::storeToByteArray :
Spatiallndex::RTree::Data::getShape :
Spatiallndex::RTree::Data::getShape :
QgsSpatiallndex::addFeature :
QgsSpatiallndex::addFeature :
QgslnternalGeometrySnapper::snapFeature :
Pylnit__analysis :

PyMethodDef RawFastCallKeywords :
PyMethodDef_RawFastCallKeywords :
PyEval_EvalFrameDefault :
PyFunction_FastCallDict :

PyMethodDef RawFastCallDict :

PyObject_Call :

Pylnit_sip :

CPLStringList::empty :

Pylnit__core :
QgsProcessingAlgorithm::runPrepared :
QgsProcessingAlgRunnerTask::run :
Pylnit__core :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :
https://www.dropbox.com/sh/f7jeawyjgszwttu/AAAHnguxoB1XORHsB5J5_tKHa?dl=0

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira
QGIS code revision: 2f64a3c4e7
Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.4.0
Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-07 02:49 PM - Giovanni Manghi
- Priority changed from Normal to High
- Category changed from Unknown to Processing/QGIS

#2 - 2019-01-23 10:08 AM - Julien Cabieces

The issue comes from libspatialindex and has already been reported : https://github.com/libspatialindex/libspatialindex/issues/107

#3 - 2019-01-23 11:01 AM - Jiirgen Fischer
- Resolution set to up/downstream

#4 - 2019-01-25 06:58 PM - Giovanni Manghi
- Status changed from Open to Closed

Files

Test project.qgz 9.74 KB 2019-01-07 Andy Whyte
